#include <QApplication>
#include <QSystemTrayIcon>
#include "Menu.h"

int main(int argc, char **argv)
{
  QApplication *app = new QApplication(argc, argv);

  QSystemTrayIcon *mTray = new QSystemTrayIcon();

  Menu *menu = new Menu(app);

  mTray->setIcon(QIcon(":/images/tray.svg"));
  mTray->setToolTip(QObject::tr("QMyMenu"));
  mTray->setContextMenu(menu);

  QObject::connect(mTray, SIGNAL(activated(QSystemTrayIcon::ActivationReason)), menu, SLOT(updateMenu()));

  mTray->show();

  return app->exec();
}
