#include <cstdlib>

#include <QByteArray>
#include <QDebug>
#include <QAction>
#include <QMessageBox>
#include <QMenu>
#include <QString>

class ExecAction : public QAction
{
  Q_OBJECT
public:
  ExecAction(QString text, QObject *parent) : QAction(text, parent)
  {
    cmd = new QByteArray("");
    runAsRootKDE = false;
    runAsRootGTK = false;
  }

  void setCommand(QByteArray cmd);
  void setRunAsRootKDE();
  void setRunAsRootGTK();

public slots:
  void runCommand();

private:
  QByteArray *cmd;
  bool runAsRootKDE, runAsRootGTK;
};
